Gets a list orders on hold which can be updated via the Bulk Update endpoint
curl --request GET \
--url https://api.example.com/api/v1/Orders/BulkOrderUpdate \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Orders/BulkOrderUpdate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Orders/BulkOrderUpdate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"accountNumber": "<string>",
"bulkOrderUpdateId": "<string>",
"supplierName": "<string>",
"consumerName": "<string>",
"orderNumber": "<string>",
"wineDirectOrderNumber": "<string>",
"statusCode": "<string>",
"statusName": "<string>",
"warehouseCode": "<string>",
"warehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"batchNumber": "<string>",
"orderedDate": "2023-11-07T05:31:56Z",
"requestedDate": "2023-11-07T05:31:56Z",
"requestedShipDateFrom": "2023-11-07T05:31:56Z",
"requestedShipDateTo": "2023-11-07T05:31:56Z",
"firstShippedDate": "2023-11-07T05:31:56Z",
"lastShippedDate": "2023-11-07T05:31:56Z",
"orderTypeCode": "<string>",
"orderTypeName": "<string>",
"serviceLevel": "<string>",
"carrierName": "<string>",
"notificationEmail": "<string>",
"stateCode": "<string>",
"holdName": "<string>",
"notificationTemplateId": 123,
"packingSlipTemplateId": 123
}
]
}Gets a list orders on hold which can be updated via the Bulk Update endpoint
GET
/
api
/
v1
/
Orders
/
BulkOrderUpdate
Gets a list orders on hold which can be updated via the Bulk Update endpoint
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2The Type of Order (code)
"CLUB" - Club Order "STND" - Daily Order "SPCL" - Special Order "VC" - Visitor Center "DAILY" - Daily Order "SPECIAL" - Special Order "CORP" - Corp Order
The service level
The ID code of the notification
The ID code of the packing slip
The beginning date of the search range
YYYY-MM-DD
The ending date of the search range
YYYY-MM-DD
The warehouse (Code)
"GLW" - Glenwillow, "WDI" - Green Island, "PSO" - Paso Robles, "SMA" - Santa Maria, "SHW" - Willamette Valley "DAL" - Dallas
The (US Address) state code
The batch number containing this order
The name of the hold
Response
200 - application/json
Returns the list of orders
Was this page helpful?